Package org.gradle.nativeplatform.toolchain.plugins

# Class SwiftCompilerPlugin

java.lang.Object
org.gradle.nativeplatform.toolchain.plugins.SwiftCompilerPlugin

All Implemented Interfaces:
  `Plugin<Project>`

@Incubating @NullMarked public abstract class SwiftCompilerPlugin extends Object implements Plugin<Project>
A `Plugin` which makes the Swiftc compiler available for compiling Swift code.

Since:
  4.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwiftCompilerPlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwiftCompilerPlugin

    public SwiftCompilerPlugin()

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object